<?php
/**
 * Created by PhpStorm.
 * User: audemard
 * Date: 08/11/2018
 * Time: 09:42
 */

namespace App\Http\Controllers;

use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Session;

class Controlleur1 extends Controller {

    public function index() {

        return view('index');
    }


    public function route66() {

        return view('route66',
            array("table" => array(array(1, 2, 3),
                array("<span style='color:red'>4</span>", "<span style='color:green'>5</span>", "<span style='color:blue'>6</span>")),

                "table2" => array(array(1, 2, 3),
                    array("<span style='color:red'>4</span>", "<span style='color:green'>5</span>", "<span style='color:blue'>6</span>"))
            ));
    }

    public function bonjour($id) {

        return view('bonjour', array("id" => $id));
    }

    public function amis($nom1, $nom2) {

        return view('amis', array("ami1" => $nom1, 'ami2' => $nom2));
    }


    public function films() {


        $all = DB::select("SELECT * FROM film");

        $films = [];
        foreach ($all as $f) {
            $films[] = array("<a href='/film/$f->id'>$f->titre</a>", $f->nbSpectateurs, $f->annee);

        }


        return view('films', array("films" => $films));


    }

    public function film($id) {
        $all = DB::select("SELECT * FROM film where id=?", array($id));

        if(count($all) == 0 )
            return redirect('404');

        return view('film', array("film" => $all[0]));


    }

    public function nouveaufilm() {
        return view('nouveaufilm');
    }

    public function creerfilm() {
        DB::insert("INSERT INTO film(titre) VALUES(?);", array($_POST["titre"]));
        return redirect("/films");
    }
}