<!DOCTYPE html>
<html>
<head>
    <meta charset='UTF-8'>
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title>Appli LVL 1</title>
</head>

<body>
<h1>Bienvenu sur ce super site</h1>
<nav>
    <a href="/route66">Route66</a>
    <a href="/">Home</a>

    <!-- Authentication Links -->
    <?php if(auth()->guard()->guest()): ?>
        <li><a href="<?php echo e(route('login')); ?>">Login</a></li>
        <li><a href="<?php echo e(route('register')); ?>">Register</a></li>
    <?php else: ?>
        Bonjour  <?php echo e(Auth::user()->name); ?>


        <?php if(Auth::user()->admin == 1): ?>
            Vous êtes admin, vous pouvez créer des articles et des recettes.... il faut mettre des liens.
            comme <a href="<?php echo e(route('admin')); ?>">celui la par exemple</a>.<br />
        <?php endif; ?>

        <a href="<?php echo e(route('logout')); ?>"
           onclick="event.preventDefault();
            document.getElementById('logout-form').submit();">
            Logout
        </a>

        <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
            <?php echo e(csrf_field()); ?>

        </form>
    <?php endif; ?>
</nav>

<div class="container">
    <?php echo $__env->yieldContent("content"); ?>
</div>
</body>
</html>